Bug 463545 - [LTC 6.0 FEAT] 201083:install compat-libstdc++ (33 & 296) RPMs by default
[LTC 6.0 FEAT] 201083:install compat-libstdc++ (33 & 296) RPMs by default
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
All All
high Severity high
: beta
: 6.0
Assigned To: RHEL Product and Program Management
Ben Levenson
: FutureFeature
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-23 17:01 EDT by IBM Bug Proxy
Modified: 2010-11-11 10:26 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:26:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 17:01:16 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:02 EDT
1. Feature Overview:
Feature Id:	[201083]
a. Name of Feature:	install compat-libstdc++ (33 & 296) RPMs by default
b. Feature Description
Install compat-libstdc++ (33 & 296) RPMs by default

2. Feature Details:
Sponsor:	SWG - Domino
Architectures:
x86_64

Arch Specificity: Purely Common Code
Delivery Mechanism: 
Category:	SWG
Request Type:	Configuration/Build Change
d. Upstream Acceptance:	No Code Required
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	no
g. Component Version Target:	N/A

3. Business Case
Older versions of SWG products expect these compat libraries to be installed by default. Otherwise,
one needs to install them to make SWG products work.

Benefits
fit-n-finish issues with shipped SWG products

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):
Kenneth Brunsen, kenbo@us.ibm.com
Comment 3 IBM Bug Proxy 2009-11-17 15:51:14 EST
Since this is in RH cvs tree, moving to accepted state
Comment 5 Dennis Gregorovic 2010-02-04 22:45:12 EST
# grep -ih "compat-libstdc++" RHEL6.0-20100203.3/6/StandardServer/x86_64/os/repodata/*.xml
      <packagereq type='default'>compat-libstdc++-296</packagereq>
      <packagereq type='default'>compat-libstdc++-33</packagereq>
Comment 7 Alexander Todorov 2010-08-21 07:20:08 EDT
[root@ibm-x3950m2-02 6]# pwd
/mnt/redhat/rel-eng/RHEL6.0-20100818.0/6

[root@ibm-x3950m2-02 6]# find -name "compat-libstdc*"
./WebServer/x86_64/os/Packages/compat-libstdc++-33-3.2.3-69.el6.x86_64.rpm
./WebServer/x86_64/os/Packages/compat-libstdc++-33-3.2.3-69.el6.i686.rpm
./WebServer/x86_64/os/Packages/compat-libstdc++-296-2.96-144.el6.i686.rpm
./Server/i386/os/Packages/compat-libstdc++-33-3.2.3-69.el6.i686.rpm
./Server/i386/os/Packages/compat-libstdc++-296-2.96-144.el6.i686.rpm
./Server/s390x/os/Packages/compat-libstdc++-33-3.2.3-69.el6.s390.rpm
./Server/s390x/os/Packages/compat-libstdc++-295-2.95.3-86.el6.s390x.rpm
./Server/s390x/os/Packages/compat-libstdc++-33-3.2.3-69.el6.s390x.rpm
./Server/s390x/os/Packages/compat-libstdc++-295-2.95.3-86.el6.s390.rpm
./Server/ppc64/os/Packages/compat-libstdc++-296-2.96-144.el6.ppc.rpm
./Server/ppc64/os/Packages/compat-libstdc++-33-3.2.3-69.el6.ppc.rpm
./Server/ppc64/os/Packages/compat-libstdc++-33-3.2.3-69.el6.ppc64.rpm
./Server/x86_64/os/Packages/compat-libstdc++-33-3.2.3-69.el6.x86_64.rpm
./Server/x86_64/os/Packages/compat-libstdc++-33-3.2.3-69.el6.i686.rpm
./Server/x86_64/os/Packages/compat-libstdc++-296-2.96-144.el6.i686.rpm
./Client/i386/os/Packages/compat-libstdc++-33-3.2.3-69.el6.i686.rpm
./Client/i386/os/Packages/compat-libstdc++-296-2.96-144.el6.i686.rpm
./Client/x86_64/os/Packages/compat-libstdc++-33-3.2.3-69.el6.x86_64.rpm
./Client/x86_64/os/Packages/compat-libstdc++-33-3.2.3-69.el6.i686.rpm
./Client/x86_64/os/Packages/compat-libstdc++-296-2.96-144.el6.i686.rpm
./ComputeNode/x86_64/os/Packages/compat-libstdc++-296-2.96-144.el6.i686.rpm
./ComputeNode/x86_64/os/Packages/compat-libstdc++-33-3.2.3-69.el6.x86_64.rpm
./ComputeNode/x86_64/os/Packages/compat-libstdc++-33-3.2.3-69.el6.i686.rpm
./Workstation/i386/os/Packages/compat-libstdc++-33-3.2.3-69.el6.i686.rpm
./Workstation/i386/os/Packages/compat-libstdc++-296-2.96-144.el6.i686.rpm
./Workstation/x86_64/os/Packages/compat-libstdc++-33-3.2.3-69.el6.x86_64.rpm
./Workstation/x86_64/os/Packages/compat-libstdc++-33-3.2.3-69.el6.i686.rpm
./Workstation/x86_64/os/Packages/compat-libstdc++-296-2.96-144.el6.i686.rpm


Packages are present.

[root@ibm-x3950m2-02 6]# find -name "*comps*.xml" | xargs grep -ih compat-libstdc 
      <packagereq type='default'>compat-libstdc++-296</packagereq>
      <packagereq type='default'>compat-libstdc++-33</packagereq>
      <packagereq type='default'>compat-libstdc++-296</packagereq>
      <packagereq type='default'>compat-libstdc++-33</packagereq>
      <packagereq type='default'>compat-libstdc++-295</packagereq>
      <packagereq type='default'>compat-libstdc++-33</packagereq>
      <packagereq type='default'>compat-libstdc++-296</packagereq>
      <packagereq type='default'>compat-libstdc++-33</packagereq>
      <packagereq type='default'>compat-libstdc++-296</packagereq>
      <packagereq type='default'>compat-libstdc++-33</packagereq>
      <packagereq type='default'>compat-libstdc++-296</packagereq>
      <packagereq type='default'>compat-libstdc++-33</packagereq>
      <packagereq type='default'>compat-libstdc++-296</packagereq>
      <packagereq type='default'>compat-libstdc++-33</packagereq>
      <packagereq type='default'>compat-libstdc++-296</packagereq>
      <packagereq type='default'>compat-libstdc++-33</packagereq>
      <packagereq type='default'>compat-libstdc++-296</packagereq>
      <packagereq type='default'>compat-libstdc++-33</packagereq>
      <packagereq type='default'>compat-libstdc++-296</packagereq>
      <packagereq type='default'>compat-libstdc++-33</packagereq>

Set to default=on in comps. Moving to VERIFIED.
Comment 8 releng-rhel@redhat.com 2010-11-11 10:26:07 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.